Page MenuHomePhabricator

Show more image sizes in download panel
Closed, ResolvedPublic

Description

Migrated from: https://wikimedia.mingle.thoughtworks.com/projects/multimedia/cards/739

Narrative

As a regular user, I want to download or view more image sizes, as I'm used to do on the file description page.

This is a very frequent user request, with over142 comments asking for this feature in the survey feedback we've reviewed so far (2nd most frequent request after zoom).

Acceptance Criteria

We propose to add a few more image sizes in the‘Download this file’ drop-down menul(in the 'Use this file' panel), including:

  • " Square " option (e.g. 150 x 150)
  • " Larger " button (e.g. 1600 x 1200)
  • " Extra Large " button (e.g. 2048 x 1536)
  • Alternatively, we could add a 'View all sizes' text link that would open a sub-panel with all the same sizes already provided on the file page, as a modification of our separate ticket #582 (Show ‘View More Sizes' in Media Viewer)

Design Notes

Related Bugs

https://bugzilla.wikimedia.org/show_bug.cgi?id=66332

Related Stories

#79 Download files in different sizes from Media Viewer

#582 Show ‘View More Sizes' in Media Viewer

#363 Handle download action

  • #598 Show attribution credits in download tool

Related Changesets

Details

Related Gerrit Patches:
mediawiki/extensions/MultimediaViewer : masterDownload sizes: 480p, 720p, 1080p, 2160p

Event Timeline

MingleTerminator raised the priority of this task from to Medium.Dec 8 2014, 6:13 PM
In mingle on 2014-06-25 at 00:00:26, @Tgr wrote:

We can only determine one dimension (square images should be square in any size, non-square ones should never be square).

Also, would be good to know the total number of options - we might need to rethink the UI if there will be many.

In mingle on 2014-06-25 at 09:27:57, @Pginer-WMF wrote:

As Gergo mentions, the selector was designed for a small set of sizes.
Some possible options:

  • A: Add one (or at most 2) additional sizes (e.g., Extra large).
  • B: Add a "Custom size" option that reveals a width and height input fields below the download button.
  • C: Add a "View all sizes" option that makes the sizes list grow a couple of lines and become scrollable so that the rest of the sizes can be reached.
  • D: Show a scrollable list from the beginning with all the sizes.
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:28 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 6:28 PM

Mass-removing the Multimedia tag from MediaViewer tasks, as this is now being worked on by the Reading department, not Editing's Multimedia team.

Jdlrobson lowered the priority of this task from Medium to Lowest.Feb 3 2016, 8:31 PM
Jdlrobson added a subscriber: Jdlrobson.

Feature request

Change 511137 had a related patch set uploaded (by Simon04; owner: Simon04):
[mediawiki/extensions/MultimediaViewer@master] Download sizes: add 1920px add 3840px drop 220px

https://gerrit.wikimedia.org/r/511137

TheDJ added a subscriber: TheDJ.May 19 2019, 10:53 AM
Restricted Application added a project: TCB-Team. · View Herald TranscriptMay 27 2019, 9:07 AM

Change 511137 merged by jenkins-bot:
[mediawiki/extensions/MultimediaViewer@master] Download sizes: 480p, 720p, 1080p, 2160p

https://gerrit.wikimedia.org/r/511137

Jdforrester-WMF closed this task as Resolved.May 31 2019, 4:55 PM
Jdforrester-WMF assigned this task to simon04.